<?xml version="1.0" encoding="UTF-8"?>
<section version="5.0" xml:lang="en" xmlns="http://docbook.org/ns/docbook"
         xmlns:xlink="http://www.w3.org/1999/xlink"
         xmlns:xi="http://www.w3.org/2001/XInclude"
         xmlns:svg="http://www.w3.org/2000/svg"
         xmlns:mml="http://www.w3.org/1998/Math/MathML"
         xmlns:html="http://www.w3.org/1999/xhtml"
         xmlns:db="http://docbook.org/ns/docbook"
         xml:id="developerguide.running">
  <info>
    <title>Running the JOnAS server.</title>
  </info>
  
  <section>
    <info>
      <title>Requirements</title>
    </info>

    <para>Review the requirements discussed in 
      <xref linkend="developerguide.building" /></para>
  </section>

  <section>
    <info>
      <title>Running</title>
    </info>

    <section>
      <info>
        <title>Exporting environment variables</title>
      </info>

      <para>Environment variables to export are,
        <varname>$JAVA_HOME</varname>,
        <varname>$JONAS_ROOT</varname>,<varname> $JONAS_BASE</varname>. If
        <varname>$JONAS_BASE</varname> is not set, then it will point to
        <varname>$JONAS_ROOT</varname>.</para>

      <para>
        <caution>
          <para>Please ensure that <varname>$JONAS_ROOT</varname>\bin is
            added to the system <varname>PATH.</varname></para>
        </caution>
      </para>
    </section>

    <section>
      <info>
        <title>Start/Stop JOnAS</title>
      </info>

      <para>For more information see 
        <link xlink:href="command_guide.html#commands.jonas">jonas command</link>
      </para>
    </section>
  </section>
</section>
